# DXGfxLib.Water Class Reference

This class is used to get some water displayed on screen. More...

Inherits DXGfxLib::ExecutableBlock, DXGfxLib::ExecutableBlock, DXGfxLib::TexturedPlane, and DXGfxLib::TexturedPlane.

Collaboration diagram for DXGfxLib.Water:

[legend]

List of all members.

## Public Member Functions
| Water ()
| Water (int width, int heigth, int numVertX, int numVertZ, string texturefile)
| Water (Device d3ddevice, int width, int heigth, int numVertX, int numVertZ, string texturefile)
| The default constructor. You should provide a valid d3ddevice, dimensions, number of vertices in the grid and the texture to be applied to the surface.
override void | Init (Device d3ddevice, int width, int heigth, int numVertX, int numVertZ, string texturefile)
override void | LoadFromFile (Device d3ddevice, string fileName)
| For loading a scene from the XML file this method is pretty useful as we just get the filename from the file, create an instance of the desired type and instruct that instance to populate its internal state from the specified file.
override void | Update (Frustrum frustrum, double appTime, float elapsedTime)
| When attached to the scene manager this method will be called automatically by the scene manager. If you make your own implementation of IWater you can use this method to update any internal value you might use to model your water.
override void | Draw (Device d3ddevice)
| Render everything when called.
| Water ()
| Water (int width, int heigth, int numVertX, int numVertZ, string texturefile)
| Water (Device d3ddevice, int width, int heigth, int numVertX, int numVertZ, string texturefile)
| The default constructor. You should provide a valid d3ddevice, dimensions, number of vertices in the grid and the texture to be applied to the surface.
override void | Init (Device d3ddevice, int width, int heigth, int numVertX, int numVertZ, string texturefile)
override void | LoadFromFile (Device d3ddevice, string fileName)
| For loading a scene from the XML file this method is pretty useful as we just get the filename from the file, create an instance of the desired type and instruct that instance to populate its internal state from the specified file.
override void | Update (Frustrum frustrum, double appTime, float elapsedTime)
| When attached to the scene manager this method will be called automatically by the scene manager. If you make your own implementation of IWater you can use this method to update any internal value you might use to model your water.
override void | Draw (Device d3ddevice)
| Render everything when called.
override void | Evaluate (Scene scene, SceneNode parent, double appTime, float elapsedTime)
| Good this is the method that will be overriden in the classes deriving from the one that will be created on the fly to allow execution of the code n our script.
override void | Click (Scene scene, SceneNode parent, double appTime, float elapsedTime)
| Good this is the method that will be overriden in the classes deriving from the one that will be created on the fly to allow execution of the code n our script.
override void | Collision (Scene scene, SceneNode parent, double appTime, float elapsedTime, SceneObject collidingObject)
| Good this is the method that will be overriden in the classes deriving from the one that will be created on the fly to allow execution of the code n our script.
override void | Evaluate (Scene scene, SceneNode parent, double appTime, float elapsedTime)
| Good this is the method that will be overriden in the classes deriving from the one that will be created on the fly to allow execution of the code n our script.
override void | Click (Scene scene, SceneNode parent, double appTime, float elapsedTime)
| Good this is the method that will be overriden in the classes deriving from the one that will be created on the fly to allow execution of the code n our script.
override void | Collision (Scene scene, SceneNode parent, double appTime, float elapsedTime, SceneObject collidingObject)
| Good this is the method that will be overriden in the classes deriving from the one that will be created on the fly to allow execution of the code n our script.
## Public Attributes
Texture | waterTexture = null
| Texture that is going to be use to render our water!
Plane | reflectPlane

## Detailed Description

This class is used to get some water displayed on screen.

Definition at line 31 of file Water.cs.

## Constructor & Destructor Documentation

DXGfxLib.Water.Water | ( |  | ) |

Definition at line 49 of file Water.cs.

DXGfxLib.Water.Water | ( | int | width,
|  | int | heigth,
|  | int | numVertX,
|  | int | numVertZ,
|  | string | texturefile |
| ) |  |  |

Definition at line 53 of file Water.cs.

Here is the call graph for this function:

DXGfxLib.Water.Water | ( | Device | d3ddevice,
|  | int | width,
|  | int | heigth,
|  | int | numVertX,
|  | int | numVertZ,
|  | string | texturefile |
| ) |  |  |

The default constructor. You should provide a valid d3ddevice, dimensions, number of vertices in the grid and the texture to be applied to the surface.

Parameters:

  | d3ddevice |
  | width |
  | heigth |
  | numVertX |
  | numVertZ |
  | texturefile |

Definition at line 72 of file Water.cs.

Here is the call graph for this function:

DXGfxLib.Water.Water | ( |  | ) |

Definition at line 49 of file Water.cs.

DXGfxLib.Water.Water | ( | int | width,
|  | int | heigth,
|  | int | numVertX,
|  | int | numVertZ,
|  | string | texturefile |
| ) |  |  |

Definition at line 53 of file Water.cs.

Here is the call graph for this function:

DXGfxLib.Water.Water | ( | Device | d3ddevice,
|  | int | width,
|  | int | heigth,
|  | int | numVertX,
|  | int | numVertZ,
|  | string | texturefile |
| ) |  |  |

The default constructor. You should provide a valid d3ddevice, dimensions, number of vertices in the grid and the texture to be applied to the surface.

Parameters:

  | d3ddevice |
  | width |
  | heigth |
  | numVertX |
  | numVertZ |
  | texturefile |

Definition at line 72 of file Water.cs.

Here is the call graph for this function:

## Member Function Documentation

override void DXGfxLib.Water.Click | ( | Scene | scene,
|  | SceneNode | parent,
|  | double | appTime,
|  | float | elapsedTime |
| ) |  |  | `[virtual]`

Good this is the method that will be overriden in the classes deriving from the one that will be created on the fly to allow execution of the code n our script.

Parameters:

  | scene |
  | parent |
  | appTime |
  | elapsedTime |

Reimplemented from DXGfxLib.ExecutableBlock.

Definition at line 16 of file Water.bmp.script.cs.

override void DXGfxLib.Water.Click | ( | Scene | scene,
|  | SceneNode | parent,
|  | double | appTime,
|  | float | elapsedTime |
| ) |  |  | `[virtual]`

Good this is the method that will be overriden in the classes deriving from the one that will be created on the fly to allow execution of the code n our script.

Parameters:

  | scene |
  | parent |
  | appTime |
  | elapsedTime |

Reimplemented from DXGfxLib.ExecutableBlock.

Definition at line 16 of file Water.bmp.script.cs.

override void DXGfxLib.Water.Collision | ( | Scene | scene,
|  | SceneNode | parent,
|  | double | appTime,
|  | float | elapsedTime,
|  | SceneObject | collidingObject |
| ) |  |  | `[virtual]`

Good this is the method that will be overriden in the classes deriving from the one that will be created on the fly to allow execution of the code n our script.

Parameters:

  | scene |
  | parent |
  | appTime |
  | elapsedTime |
  | collidingObject |

Reimplemented from DXGfxLib.ExecutableBlock.

Definition at line 19 of file Water.bmp.script.cs.

override void DXGfxLib.Water.Collision | ( | Scene | scene,
|  | SceneNode | parent,
|  | double | appTime,
|  | float | elapsedTime,
|  | SceneObject | collidingObject |
| ) |  |  | `[virtual]`

Good this is the method that will be overriden in the classes deriving from the one that will be created on the fly to allow execution of the code n our script.

Parameters:

  | scene |
  | parent |
  | appTime |
  | elapsedTime |
  | collidingObject |

Reimplemented from DXGfxLib.ExecutableBlock.

Definition at line 19 of file Water.bmp.script.cs.

override void DXGfxLib.Water.Draw | ( | Device | d3ddevice | ) | `[virtual]`

Render everything when called.

Parameters:

  | d3ddevice |

Reimplemented from DXGfxLib.TexturedPlane.

Definition at line 136 of file Water.cs.

override void DXGfxLib.Water.Draw | ( | Device | d3ddevice | ) | `[virtual]`

Render everything when called.

Parameters:

  | d3ddevice |

Reimplemented from DXGfxLib.TexturedPlane.

Definition at line 136 of file Water.cs.

override void DXGfxLib.Water.Evaluate | ( | Scene | scene,
|  | SceneNode | parent,
|  | double | appTime,
|  | float | elapsedTime |
| ) |  |  | `[virtual]`

Good this is the method that will be overriden in the classes deriving from the one that will be created on the fly to allow execution of the code n our script.

Parameters:

  | scene |
  | parent |
  | appTime |
  | elapsedTime |

Reimplemented from DXGfxLib.ExecutableBlock.

Definition at line 13 of file Water.bmp.script.cs.

override void DXGfxLib.Water.Evaluate | ( | Scene | scene,
|  | SceneNode | parent,
|  | double | appTime,
|  | float | elapsedTime |
| ) |  |  | `[virtual]`

Good this is the method that will be overriden in the classes deriving from the one that will be created on the fly to allow execution of the code n our script.

Parameters:

  | scene |
  | parent |
  | appTime |
  | elapsedTime |

Reimplemented from DXGfxLib.ExecutableBlock.

Definition at line 13 of file Water.bmp.script.cs.

override void DXGfxLib.Water.Init | ( | Device | d3ddevice,
|  | int | width,
|  | int | heigth,
|  | int | numVertX,
|  | int | numVertZ,
|  | string | texturefile |
| ) |  |  | `[virtual]`

Reimplemented from DXGfxLib.TexturedPlane.

Definition at line 77 of file Water.cs.

override void DXGfxLib.Water.Init | ( | Device | d3ddevice,
|  | int | width,
|  | int | heigth,
|  | int | numVertX,
|  | int | numVertZ,
|  | string | texturefile |
| ) |  |  | `[virtual]`

Reimplemented from DXGfxLib.TexturedPlane.

Definition at line 77 of file Water.cs.

Here is the caller graph for this function:

override void DXGfxLib.Water.LoadFromFile | ( | Device | d3ddevice,
|  | string | fileName |
| ) |  |  | `[virtual]`

For loading a scene from the XML file this method is pretty useful as we just get the filename from the file, create an instance of the desired type and instruct that instance to populate its internal state from the specified file.

Parameters:

  | d3ddevice |
  | fileName |

Reimplemented from DXGfxLib.MeshObject.

Definition at line 97 of file Water.cs.

Here is the call graph for this function:

override void DXGfxLib.Water.LoadFromFile | ( | Device | d3ddevice,
|  | string | fileName |
| ) |  |  | `[virtual]`

For loading a scene from the XML file this method is pretty useful as we just get the filename from the file, create an instance of the desired type and instruct that instance to populate its internal state from the specified file.

Parameters:

  | d3ddevice |
  | fileName |

Reimplemented from DXGfxLib.MeshObject.

Definition at line 97 of file Water.cs.

Here is the call graph for this function:

override void DXGfxLib.Water.Update | ( | Frustrum | frustrum,
|  | double | appTime,
|  | float | elapsedTime |
| ) |  |  | `[virtual]`

When attached to the scene manager this method will be called automatically by the scene manager. If you make your own implementation of IWater you can use this method to update any internal value you might use to model your water.

Parameters:

  | time |

Reimplemented from DXGfxLib.SceneObject.

Definition at line 108 of file Water.cs.

override void DXGfxLib.Water.Update | ( | Frustrum | frustrum,
|  | double | appTime,
|  | float | elapsedTime |
| ) |  |  | `[virtual]`

When attached to the scene manager this method will be called automatically by the scene manager. If you make your own implementation of IWater you can use this method to update any internal value you might use to model your water.

Parameters:

  | time |

Reimplemented from DXGfxLib.SceneObject.

Definition at line 108 of file Water.cs.

## Member Data Documentation

Plane DXGfxLib.Water::reflectPlane

Definition at line 47 of file Water.cs.

Texture DXGfxLib.Water::waterTexture = null

Texture that is going to be use to render our water!

Definition at line 45 of file Water.cs.

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/DXGfxLib/Water.cs
- D:/guillaume/guillara/3D/DXGfx/DXGfxLib/Water.cs
- D:/guillaume/guillara/3D/DXGfx/SampleSceneLoader/bin/Debug/Media/tmpScripts/Water.bmp.script.cs
- D:/guillaume/guillara/3D/DXGfx/SceneSamples/Media/tmpScripts/Water.bmp.script.cs